Sign inGet started

Manage Endpoint Subscriptions

Manage your Number/ Sender ID subscription status, all sender types are considered "endpoints".
GET
/workspaces/{workspaceId}/endpoints/{endpointId}/subscriptions
This route returns all associated subscriptions of a given endpoint.
Payload respons
results
array of object
wajib
Tampilkan atribut turunan
results.name
string
wajib
The name of the subscription. For long codes, this value will be main. For alpha and short code numbers, this value will be the destination country code.
results.status
string
wajib
The status of the endpoint subscription. It can be active or inactive.
Possible values: active, inactive
results.price
object
Money combines an amount of money with its currency.
Tampilkan atribut turunan
results.price.currencyCode
string
wajib
Currency as ISO 4217 code (three digits). An example would be EUR for Euro.
Possible values: EUR, USD, GBP, AUD, SGD, IDR, INR, MXN
results.price.amount
integer
wajib
results.price.exponent
integer
wajib
Usually a negative number to specify the exponent for decimal precision. e.g., 1540 * (10^-2) = 15.4
results.subscription
object
Tampilkan atribut turunan
results.subscription.id
string
wajib
The subscription unique identifier.
results.subscription.correlationId
string
wajib
The correlation links the subscription to its number. Hence, the correlationId is the numberId.
results.subscription.status
string
wajib
The status of the accounting subscription. It can be none, active, canceling, canceled, or planned.
Possible values: none, active, inactive, canceling, canceled, planned
results.subscription.subscribedAt
string
The date and time when the subscription was created.
results.subscription.updatedAt
string
results.subscription.canceledAt
string
The date and time when the subscription was canceled.
results.subscription.startAt
string
The date and time when the subscription should start.
results.subscription.endAt
string
The date and time when the subscription should end.
Contoh kode
curl -X GET 'https://api.bird.com/workspaces/{workspaceId}/endpoints/{endpointId}/subscriptions' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
GET
/workspaces/{workspaceId}/endpoints/{endpointId}/subscriptions/{subscriptionName}
This route returns a specific subscription for a specific endpoint.
Payload respons
name
string
wajib
The name of the subscription. For long codes, this value will be main. For alpha and short code numbers, this value will be the destination country code.
status
string
wajib
The status of the endpoint subscription. It can be active or inactive.
Possible values: active, inactive
price
object
Money combines an amount of money with its currency.
Tampilkan atribut turunan
price.currencyCode
string
wajib
Currency as ISO 4217 code (three digits). An example would be EUR for Euro.
Possible values: EUR, USD, GBP, AUD, SGD, IDR, INR, MXN
price.amount
integer
wajib
price.exponent
integer
wajib
Usually a negative number to specify the exponent for decimal precision. e.g., 1540 * (10^-2) = 15.4
subscription
object
Tampilkan atribut turunan
subscription.id
string
wajib
The subscription unique identifier.
subscription.correlationId
string
wajib
The correlation links the subscription to its number. Hence, the correlationId is the numberId.
subscription.status
string
wajib
The status of the accounting subscription. It can be none, active, canceling, canceled, or planned.
Possible values: none, active, inactive, canceling, canceled, planned
subscription.subscribedAt
string
The date and time when the subscription was created.
subscription.updatedAt
string
subscription.canceledAt
string
The date and time when the subscription was canceled.
subscription.startAt
string
The date and time when the subscription should start.
subscription.endAt
string
The date and time when the subscription should end.
Contoh kode
curl -X GET 'https://api.bird.com/workspaces/{workspaceId}/endpoints/{endpointId}/subscriptions/{subscriptionName}' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
POST
/workspaces/{workspaceId}/endpoints/{endpointId}/subscriptions/{subscriptionName}/activate
Use this endpoint to active a subscription to be able to send messages and be compliant with requirements. There may be charges associated with the subscription for certain destinations.
Payload permintaan
quantity
integer
wajib
Payload respons
name
string
wajib
The name of the subscription. For long codes, this value will be main. For alpha and short code numbers, this value will be the destination country code.
status
string
wajib
The status of the endpoint subscription. It can be active or inactive.
Possible values: active, inactive
price
object
Money combines an amount of money with its currency.
Tampilkan atribut turunan
price.currencyCode
string
wajib
Currency as ISO 4217 code (three digits). An example would be EUR for Euro.
Possible values: EUR, USD, GBP, AUD, SGD, IDR, INR, MXN
price.amount
integer
wajib
price.exponent
integer
wajib
Usually a negative number to specify the exponent for decimal precision. e.g., 1540 * (10^-2) = 15.4
subscription
object
Tampilkan atribut turunan
subscription.id
string
wajib
The subscription unique identifier.
subscription.correlationId
string
wajib
The correlation links the subscription to its number. Hence, the correlationId is the numberId.
subscription.status
string
wajib
The status of the accounting subscription. It can be none, active, canceling, canceled, or planned.
Possible values: none, active, inactive, canceling, canceled, planned
subscription.subscribedAt
string
The date and time when the subscription was created.
subscription.updatedAt
string
subscription.canceledAt
string
The date and time when the subscription was canceled.
subscription.startAt
string
The date and time when the subscription should start.
subscription.endAt
string
The date and time when the subscription should end.
Contoh kode
curl -X POST 'https://api.bird.com/workspaces/{workspaceId}/endpoints/{endpointId}/subscriptions/{subscriptionName}/activate' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
POST
/workspaces/{workspaceId}/endpoints/{endpointId}/subscriptions/{subscriptionName}/cancel
Use this endpoint to deactivate a subscription. That will stop charges and messages from being sent.
Payload respons
name
string
wajib
The name of the subscription. For long codes, this value will be main. For alpha and short code numbers, this value will be the destination country code.
status
string
wajib
The status of the endpoint subscription. It can be active or inactive.
Possible values: active, inactive
price
object
Money combines an amount of money with its currency.
Tampilkan atribut turunan
price.currencyCode
string
wajib
Currency as ISO 4217 code (three digits). An example would be EUR for Euro.
Possible values: EUR, USD, GBP, AUD, SGD, IDR, INR, MXN
price.amount
integer
wajib
price.exponent
integer
wajib
Usually a negative number to specify the exponent for decimal precision. e.g., 1540 * (10^-2) = 15.4
subscription
object
Tampilkan atribut turunan
subscription.id
string
wajib
The subscription unique identifier.
subscription.correlationId
string
wajib
The correlation links the subscription to its number. Hence, the correlationId is the numberId.
subscription.status
string
wajib
The status of the accounting subscription. It can be none, active, canceling, canceled, or planned.
Possible values: none, active, inactive, canceling, canceled, planned
subscription.subscribedAt
string
The date and time when the subscription was created.
subscription.updatedAt
string
subscription.canceledAt
string
The date and time when the subscription was canceled.
subscription.startAt
string
The date and time when the subscription should start.
subscription.endAt
string
The date and time when the subscription should end.
Contoh kode
curl -X POST 'https://api.bird.com/workspaces/{workspaceId}/endpoints/{endpointId}/subscriptions/{subscriptionName}/cancel' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'